editor clasico de wordpress

Hace ya unos meses que con la actualización de WordPress 5.0 trajo consigo a Gutenberg, un nuevo editor que en su día causó disparidad de opiniones entre los que trabajamos con el CMS más popular en la actualidad.

El 19 de Noviembre fue lanzada de manera global dicha versión que aparte de este nuevo editor trajo consigo muchas más funcionalidades y mejoras.

Es importante mantener tanto nuestros plugins como nuestro cms actualizado, de esta manera evitamos posibles bugs y hackeos que a posterior lamentaremos.

Hacer esto es lógico y necesario sin embargo muchos usuarios no actualizan debido a que prefieren mantener el antiguo editor (tinyMCE) al que ya están acostumbrados y el cual tiene compatibilidad con todos los plugins hasta la fecha.

En este post te enseñaré como de forma muy sencilla puedes actualizar tu WordPress y mantener el antiguo editor, sin necesidad de tocar código y en menos de 5 minutos

Mejor Plugin para usar el Editor Clásico en WordPress

El primer plugin es el más utilizado y simple que puedes instalar si quieres volver a tu editor de siempre, se llama Editor Clásico y cuenta con más de 5 millones de instalaciones (será por algo)

Una vez instalado para intercambiar entre Gutenberg y el antiguo editor simplemente deberemos a: Ajustes >> Escritura y seleccionar nuestro preferido.

También permite habilitar que otros usuarios con menos permisos puedan elegir o utilicen el que tú selecciones

Plugin para Deshabilitar Gutenberg

El siguiente plugin te servirá para lo mismo que el primero, sin embargo en este caso desactivarás Gutenberg para siempre y no tendrás la opción de volver a activarlo

A no ser que desactives el plugin, estoy hablando de Disable Gutenberg, además lo mejor de este complemento es que te permite seleccionar de forma individual que roles quieres que puedan elegir entre Gutenberg o TinyMCE.

Deshabilitar Gutenberg con código

Ya hemos visto dos maneras de activar y desactivar el nuevo editor de WordPress mediante plugins, sin embargo aún queda una forma

Añadiendo un pequeño fragmento de código al archivo functions.php de tu web que bloquee este editor para todos los usuarios.

Lo más seguro es que lo hagas a través de Code Snippets, un plugin hecho específicamente para añadir código a tu web y en caso de error desactivar únicamente ese fragmento entre otras muchas funcionalidades.

Para añadir el código simplemente lo descargamos, activamos y nos dirigimos a: Fragmentos de Código >> Añadir nuevo

Le ponemos un nombre, seleccionamos que solo se ejecute en el BackOffice

Pegamos el siguiente código y guardamos:

add_filter(‘use_block_editor_for_post’, ‘__return_false’);

Conclusiones

Todas las opciones que has visto arriba te servirán para sustituir Gutenberg por el antiguo editor, ahora solo queda que selecciones la que mejor se adapte a tus necesidades.

De hecho al ser un proceso rápido y fácil puedes probarlas todas y elegir conociéndolas de primera mano.

2 Comentarios

    • Buenas Jorge, hoy en día casi todos los plugins ya son compatibles con Gutenberg, son muy poco los que no lo han hecho aún. El usar el editor clásico es por comodidad de antiguos usuarios para construir post, no hay ningún tipo de problema en usar la última versión de WordPress y usar este plugin para tener el constructor clásico, aunque la tendencia del sector es usar Gutenberg y cuanto antes os acostumbremos mejor. un saludo

Dejar respuesta

  He leído y acepto la política de privacidad

Información básica de protección sobre datos personales